<?php
	$uri = 'eficacias.php';	
	include_once($uri);
	//Tipo De Consulta (1,2,3....)
	if(isset($_GET['case']))
		$case = $_GET['case'];
	else
		$case = $_POST['case'];
	
	
	switch($case)
	{
		// Obtener Distritos
		case 1:	
			$parametros = array(
				"sucursales"=>$_GET['sucursales']				
			);	
		break;
		// Obtener las zonas
		case 2:	
			$parametros = array(
				"distritos"=>$_GET['distritos']				
			);	
		break;
		// Obtener eficacia barra
		case 3:	
			$parametros = array(
				"fecha_desde"=>$_POST['fecha_desde'],
				"fecha_hasta"=>$_POST['fecha_hasta'],
				"localizacion_jerarquica_configurado"=>$_POST['localizacion_jerarquica_configurado'],
				"nivel"=>$_POST['nivel'],
				"localizacion_jerarquica"=>$_POST['localizacion_jerarquica']				
			);	
		break;
		// Obtener eficacia torta
		case 4:	
			$parametros = array(
				"fecha_desde"=>$_POST['fecha_desde'],
				"fecha_hasta"=>$_POST['fecha_hasta'],
				"localizacion_jerarquica_configurado"=>$_POST['localizacion_jerarquica_configurado'],
				"nivel"=>$_POST['nivel'],
				"localizacion_jerarquica"=>$_POST['localizacion_jerarquica']				
			);	
		break;
	}
	$eficacias = new eficacias();

	switch($case){
		case 1: 
			echo $eficacias->GetDistritosBySucursalID($parametros);			
			break;
		case 2: 		
			echo $eficacias->GetZonasByDistritosID($parametros);			
			break;
		case 3: 
			echo $eficacias->GetEficaciasBarra($parametros);		
			break;
		case 4: 
			echo $eficacias->GetEficaciasTorta($parametros);		
			break;	
	}

?>